> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/list-wallets",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List wallets

> Get all Non Custodial Wallets



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets:
    get:
      tags:
        - Embedded Wallets
      summary: List wallets
      description: Get all Non Custodial Wallets
      operationId: GetEmbeddedWallets
      parameters:
        - in: query
          name: pageCursor
          required: false
          description: Next page cursor to fetch
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          schema:
            type: string
        - in: query
          name: pageSize
          description: Items per page
          example: 500
          required: false
          schema:
            type: number
            default: 200
            maximum: 400
        - in: query
          name: sort
          required: false
          description: Field(s) to use for sorting
          example: createdAt
          schema:
            enum:
              - createdAt
            default: createdAt
        - in: query
          name: order
          description: Is the order ascending or descending
          example: ASC
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: ASC
        - in: query
          name: enabled
          description: Enabled Wallets
          example: true
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletPaginatedWalletsResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EmbeddedWalletPaginatedWalletsResponse>>
            =
            fireblocks.embeddedWallets.getEmbeddedWallets(embeddedWalletsApiGetEmbeddedWalletsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletPaginatedWalletsResponse>>
            response =
            fireblocks.embeddedWallets().getEmbeddedWallets(pageCursor,
            pageSize, sort, order, enabled);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallets(page_cursor,
            page_size, sort, order, enabled);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWalletPaginatedWalletsResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/EmbeddedWallet'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    EmbeddedWallet:
      type: object
      properties:
        walletId:
          type: string
          description: walletId
          example: 550e8400-e29b-41d4-a716-446655440000
        enabled:
          type: boolean
          description: enabled
          example: true
      required:
        - walletId
        - enabled
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````